# about/urls.py
from django.urls import path

from .views import (home_view, AuthorListView, BookListView, BookDetailView, AuthorDetailView)

urlpatterns = [
    path('home', home_view, name='index'),
    path('books', BookListView.as_view(), name='book-list'),
    path('authors', AuthorListView.as_view(), name='author-list'),
    path('books/<int:pk>/details', BookDetailView.as_view(), name='books-details'),
    path('authors/<int:pk>/details', AuthorDetailView.as_view(), name='authors-details'),
]

app_name = "bookshelf" # for proper namespacing in urls, otherwise will result in errors